body {
    margin: 0;
    padding: 0;
    background-color: black;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

#canvas-container {
    transform-origin: center center;
    position: fixed;
    inset: 0;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#board{
    background-color: black;
}

#mobile-controls {
  display: none;
  position: fixed;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  z-index: 999;
}

#mobile-controls button {
  width: 50px;
  height: 50px;
  margin: 5px;
  font-size: 24px;
  border-radius: 8px;
  border: none;
  background-color: #ffcc00;
  color: black;
  font-weight: bold;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
}

#restart {
  position: fixed;
  bottom: 15px;
  right: 20px; 
  width: 50px;
  height: 50px;
  font-size: 24px;
  border-radius: 8px;
  border: none;
  background-color: #ffcc00;
  color: black;
  font-weight: bold;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  z-index: 999;
}

/* Show mobile controls only on small screens */
@media (max-width: 768px) {
    #mobile-controls {
        display: block;
    }
}
